<?php /*
##################################################
#                                                #
# Last forum : les 10 derniers messages du forum #
#                                                #
##################################################
*/

function menu_lastforum_lastforum($position, $block) {
	if (strpos(SCRIPT, '/forum/') === false){
	//	nos variable fixe
		$SQL_limit = 10 ;

	//	classe globale
		global $CONFIG, $Sql, $CAT_FORUM, $AUTH_READ_FORUM, $User, $Cache;

	//	Init des auth du forum, le cache ... 
		require_once('../forum/forum_init_auth_cats.php');

	//	Le template	
		$tpl = new Template('menus/lastforum/lastforum.tpl');

	//	la classe menu_service
		import('core/menu_service');
		MenuService::assign_positions_conditions($tpl, $block);

	//	Vrification des autorisations.
		$auth_cats = '';
		if (is_array($CAT_FORUM)) {
			foreach ($CAT_FORUM as $idcat => $key) {
				if (!$User->check_auth($CAT_FORUM[$idcat]['auth'], READ_CAT_FORUM) || !$CAT_FORUM[$idcat]['aprob']) {
					$auth_cats .= $idcat . ',';
				}
			}
			$auth_cats = !empty($auth_cats) ? " AND cat.id NOT IN (" . trim($auth_cats, ',') . ")" : '';
		}
	//	Un petit compteur ?
		$c = 0 ;
	//	La requette sur le forum lier avec member & cnie
		$result = $Sql->query_while("SELECT msg.id AS msg_id, msg.idtopic, msg.timestamp AS mes_time, msg.user_id,
						top.id AS id_top, top.idcat, top.title, top.nbr_msg,
						cat.id AS cat_id, cat.auth,	
						mem.user_id AS mem_id, mem.login
					FROM " . PREFIX . "forum_msg msg
					LEFT JOIN " . PREFIX . "forum_topics top ON top.id = msg.idtopic
					LEFT JOIN " . PREFIX . "forum_cats cat ON top.idcat=cat.id
					LEFT JOIN " . PREFIX . "member mem ON msg.user_id = mem.user_id
					WHERE msg.id > 0 ".$auth_cats."
					ORDER BY msg_id DESC 
					" . $Sql->limit(0, $SQL_limit), __LINE__, __FILE__);

		while ($row = $Sql->fetch_assoc($result)) {
			$tpl->assign_block_vars('post', array(
				'TITLE' => $row['title'],
				'ID_TPC' => $row['idtopic'],
				'ID_MSG' => $row['msg_id'],
				'DATE_D' => date('d/m \ H:i',$row['mes_time']),
				'LINK' => '<a href="../forum/topic.php?id='.$row['idtopic'].'#m'.$row['msg_id'].'" title="'.$row['login'].'">'.$row['title'].'</a>',
			 ));
			$c++ ;
		}
	 
	//	Fermeture SQL
		$Sql->query_close($result);

		$tpl->assign_block_vars('no_post', array(
			'C_NO' => ($c == 0)? TRUE : FALSE ,
			'TITLE' => 'Forum',
			'LINK' => '<a href="../forum/index.php" title="Forum du site">il n\'y a pas de message dans le forum.</a>',
		 ));
	  
	//	On passe au template
		return $tpl->parse(TEMPLATE_STRING_MODE);
	}
}
?>
